Page MenuHomePhabricator

Update message copy for Mute feature
Closed, ResolvedPublic2 Story Points

Description

Right now, this message says:

List of usernames that are blacklisted from triggering most Echo notifications (edits to your user talk page will still trigger notifications)

It should be more obvious how the Mute feature will work.

Section title: Muted users
Description: Do not display notifications from these users. ([[mw:Help:Notifications#mute|learn more]])
For non-JS, suggestion text: One username per line

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterBetter explain how the Mute feature works

Event Timeline

jrbs created this task.May 30 2017, 9:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2017, 9:52 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 30 2017, 9:53 PM

I 100% agree.

@Mooeypoo and others worked on the UI at hack-a-thon earlier this month. I believe we should decide what UI we'll ship first before we finalize the copy.

jrbs changed the task status from Open to Stalled.May 30 2017, 9:56 PM

I 100% agree.
@Mooeypoo and others worked on the UI at hack-a-thon earlier this month. I believe we should decide what UI we'll ship first before we finalize the copy.

Great idea. I imagine there's probably more here to improve then. Happy to stall until we have a finalised UI.

jrbs triaged this task as Low priority.May 30 2017, 9:56 PM
SPoore removed a subscriber: SPoore.May 31 2017, 9:58 PM
Johan added a subscriber: Johan.

(Assuming the user-notice tag was left here because of parent task; if not, please re-add it and explain why.)

Johan removed a subscriber: Johan.Jun 2 2017, 9:04 AM
jrbs moved this task from Backlog to Other team on the Trust-and-Safety board.Jun 9 2017, 5:13 PM

Here's a screenshot of the latest UI:

I propose we title the section Blacklist and the description text be Prevent these users from sending me notifications, except when they write on my user talk page

We could also add in a link to a help page if needed.

Minor change proposed on meta: Prevent these users from notifying me, except when they write on my user talk page

I didn't noticed this task and prepared a change (T150419#3350895) with the following sentences:

List of usernames that are blacklisted from triggering most Echo notifications. Add one username per row. Please note that edits to your user talk page will still trigger notifications.

Three sentences for three different informations are IMO easier to understand.

Trizek-WMF changed the task status from Stalled to Open.Jun 16 2017, 8:51 AM

Proposal:

  • retitle the section as "Blacklist"
  • Label: "List here usernames that are blacklisted from notifying me. Add one username per row. Please note that edits to your user talk page will still trigger notifications."

With the new GUI, the "Add one username per row." sentence is no longer needed.

The rest of the Notification preferences options are predominantly verb based from the software to the user: "Send me" "Notify me" "Show notifications" etc. I think this message should be in the same structure, which is why I proposed starting the description text with "Prevent these users." So what about something like:

  • "Blacklist"
  • "Do not display notifications from these users"

I also feel we need to include a link to a help page, hint text, or a tooltip that explains that the on-wiki actions still occur, it is just the notifications that are prevented.

With the new GUI, the "Add one username per row." sentence is no longer needed.

It seems the new GUI is not implemented on Beta, or I'm missing something.

The rest of the Notification preferences options are predominantly verb based from the software to the user: "Send me" "Notify me" "Show notifications" etc. I think this message should be in the same structure, which is why I proposed starting the description text with "Prevent these users." So what about something like:

  • "Blacklist"
  • "Do not display notifications from these users"

I also feel we need to include a link to a help page, hint text, or a tooltip that explains that the on-wiki actions still occur, it is just the notifications that are prevented.

I think a clear sentence would be better, to avoid people complaining because they still receive notifications on their talk page despite of having excluded a username. "People don't read the documentation."

I would go for:

  • "Blacklist"
  • "Do not display notifications from these users. Edits to your user talk page will still trigger notifications."

With the new GUI, the "Add one username per row." sentence is no longer needed.

Actually, yes and no; if the user doesn't have JS enabled, they will "fallback" on a big textarea where that is still true.

I see two options to make this a bit clearer in both cases --

  1. (not ideal, slightly more complexity to the code) Split the message so it shows one thing if you have JS enabled (and the widget with the lookup) and another if you don't have JS (and you see a textarea) -- this is slightly more work and isn't entirely ideal.
  2. (better, imho) Make sure that the textarea has a placeholder text that explains something like "One username per line" -- the bad about this is that it will only show if the textarea is empty, however, if it's not empty, you'd assume the usernames are already one-per-line, unless you have only one username in there. It's much easier to do code-wise and maintain than #1, but has these drawbacks to know about.

Either way, the shift from textarea(one per line) to the lookup widget and back again is seamless; so a user can use one computer with JS on and see the lookup and work with that, and then go to another computer where JS is disabled and, automatically, the textarea will show the usernames each in their own line, and vice versa. However, if the user enters usernames into the textarea that are comma-separated or anything else similar, then the blacklist will not recognize the written username and the widget will not either. The user will see a chosen username as if the entire line is one big username.

I like @Trizek-WMF's latest recommendations, and @Mooeypoo's suggestion #2.

"Blacklist"
"Do not display notifications from these users. Edits to your user talk page will still trigger notifications."

And for non-JS add in "One username per line" as the suggestion text.

And later, if needed, we could add a (learn more) link to the end of the description.

Presently, it's:
Block list
List of usernames that are blacklisted from triggering most Echo notifications (edits to your user talk page will still trigger notifications)

We're considering renaming 'Blacklist' to 'Muted users'

(Any wording is better than "Blacklist" and "Whitelist" (like "Blocklist" / "Allowlist") and I'd appreciate completely avoiding such words. My two cents.)

We may also want to link to https://www.mediawiki.org/wiki/Help:Notifications#Muting_users instead of including such a long description.

TBolliger renamed this task from The language in MediaWiki:Echo-pref-notifications-blacklist could be improved to Update message copy of MediaWiki:Echo-pref-notifications-blacklist.Jul 19 2017, 5:49 PM
TBolliger updated the task description. (Show Details)
Elitre added a subscriber: Elitre.Jul 20 2017, 10:22 AM

I had suggested calling it a Private block list or something. It seems to me the private nature of the list is something people should be immediately aware of.

We may also want to link to https://www.mediawiki.org/wiki/Help:Notifications#Muting_users instead of including such a long description.

You can use https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Notifications#mute, a direct link to the translated paragraphs in the language selected by the user.

Thank you, Benoît. Elitre — Since there is so much information, do you think a link to the help page will suffice?

Here is my latest proposal:

  • Section title: Muted users
  • Description: Do not display notifications from these users. ([[mw:Help:Notifications#mute|learn more]])
  • For non-JS, suggestion text: One username per line

I mean, if it doesn't work, we can always change it later.

TBolliger renamed this task from Update message copy of MediaWiki:Echo-pref-notifications-blacklist to Update message copy for Mute feature.Jul 24 2017, 8:55 PM
TBolliger updated the task description. (Show Details)
TBolliger set the point value for this task to 2.Jul 25 2017, 11:20 PM
dbarratt claimed this task.Aug 16 2017, 8:07 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 2) board.

Change 372198 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/Echo@master] Better explain how the Mute feature works

https://gerrit.wikimedia.org/r/372198

I updated the English text, but I did not add the No-JS text because there isn't any JS text at the moment, so that would involve updating core to support it. I suggest we make a new ticket for adding the support to core, then once that is in place we can update the No-JS text in the Echo extension.

Change 372198 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Better explain how the Mute feature works

https://gerrit.wikimedia.org/r/372198

dbarratt closed this task as Resolved.Aug 17 2017, 5:51 PM

@kaldari — This was tagged as deploy-2017-08-22 (1.30.0-wmf.15)) but I still see 1.30.0-wmf.14 on Special:Version. (Today is the 23rd.)

Where is the most reliable place for me to check release updates?

@TBolliger: Figuring out what is deployed where and when is both an art and a science. The best place to start is https://wikitech.wikimedia.org/wiki/Deployments. If we look at https://wikitech.wikimedia.org/wiki/Deployments#Wednesday.2C.C2.A0August.C2.A023, we see that group1 wikis (which includes Meta) are supposed to be updated to 1.30.0-wmf.15 by 2pm today. Things don't always go according to schedule though. In the window for the train deployment you'll see a link to "Blockers: Task T170633". That will let you see if there are any outstanding blockers preventing the train deployment. If there are, you might want to inquire in #wikimedia-operations about the status of the blockers.

kaldari added a comment.EditedAug 23 2017, 7:51 PM

@dbarratt: Note that you don't have to add all the text into the preference label itself. There is a help parameter for more detailed instructions: https://www.mediawiki.org/wiki/HTMLForm/tutorial2#Adding_Help-text. (That's more for future reference though, not suggesting you need to change the current patch.)

@dbarratt: Note that you don't have to add all the text into the preference label itself. There is a help parameter for more detailed instructions: https://www.mediawiki.org/wiki/HTMLForm/tutorial2#Adding_Help-text.

Ah. Thanks!